Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Standard Widget Toolkit (SWT) » SWT 3.6 and upcoming Gnome 3.0
SWT 3.6 and upcoming Gnome 3.0 [message #544252] Fri, 02 July 2010 07:21 Go to next message
Christophe Bismuth is currently offline Christophe BismuthFriend
Messages: 67
Registered: July 2009
Location: Paris, France
Member

Dear community,

Will SWT 3.6 will benefit from improvements will be made in Gnome 3.0?
Or will it have to work with GTK 2.30 only?
I'm planning to switch from Windows desktop to Ubuntu 10.10.

Thanks,
Chris
Re: SWT 3.6 and upcoming Gnome 3.0 [message #544811 is a reply to message #544252] Mon, 05 July 2010 14:50 Go to previous messageGo to next message
Grant Gayed is currently offline Grant GayedFriend
Messages: 2151
Registered: July 2009
Senior Member
Hi Chris,

As long as Gnome 3.0 does not break any APIs that swt uses then Ubuntu 10.10
should be fine And if Gnome 3.0 does break swt in some way then swt will be
promptly fixed in a subsequent release.

In eclipse/swt 3.6 the support for Gnome 2.30 is working well, so I don't
think swt needs to use any new Gnome 3.0 API in order to fulfill its own API
requirements. If Gnome 3.0 offers any non-functional improvements (eg.-
better performance) then swt should get this for free.

Grant


"Christophe Bismuth" <christophe.bismuth@gmail.com> wrote in message
news:i0k41v$7f2$1@build.eclipse.org...
> Dear community,
>
> Will SWT 3.6 will benefit from improvements will be made in Gnome 3.0? Or
> will it have to work with GTK 2.30 only?
> I'm planning to switch from Windows desktop to Ubuntu 10.10.
>
> Thanks,
> Chris
Re: SWT 3.6 and upcoming Gnome 3.0 [message #552756 is a reply to message #544811] Fri, 13 August 2010 12:00 Go to previous message
Christophe Bismuth is currently offline Christophe BismuthFriend
Messages: 67
Registered: July 2009
Location: Paris, France
Member

Le 05/07/10 16:50, Grant Gayed a écrit :
> Hi Chris,
>
> As long as Gnome 3.0 does not break any APIs that swt uses then Ubuntu 10.10
> should be fine And if Gnome 3.0 does break swt in some way then swt will be
> promptly fixed in a subsequent release.
>
> In eclipse/swt 3.6 the support for Gnome 2.30 is working well, so I don't
> think swt needs to use any new Gnome 3.0 API in order to fulfill its own API
> requirements. If Gnome 3.0 offers any non-functional improvements (eg.-
> better performance) then swt should get this for free.
>
> Grant
>
>
> "Christophe Bismuth"<christophe.bismuth@gmail.com> wrote in message
> news:i0k41v$7f2$1@build.eclipse.org...
>> Dear community,
>>
>> Will SWT 3.6 will benefit from improvements will be made in Gnome 3.0? Or
>> will it have to work with GTK 2.30 only?
>> I'm planning to switch from Windows desktop to Ubuntu 10.10.
>>
>> Thanks,
>> Chris
>
>

Thank you Grant for your reply. I've heard Gnome will be a little bit
delayed, I'll have to wait a little bit more.

Chris
Previous Topic:Google buys Instantiations
Next Topic:multiple row heights in Table
Goto Forum:
  


Current Time: Tue Dec 12 08:41:49 GMT 2017

Powered by FUDForum. Page generated in 0.01890 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software